- Reference
- OCPI 2.1.1 (eMSP)
- Receiver Tariff
OpenAPI reference
Receiver Tariff
/tariffs/{country_code}/{party_id}/{tariff_id}Remove a Tariff object which is no longer valid.
API: OCPI 2.1.1 (eMSP) · Module: Tariffs (eMSP)
Base path:/tariffs· Base URL:https://ocpi-api.gridos.co/ocpi/emsp/2.1.1
Overview
DELETE /tariffs/{country_code}/{party_id}/{tariff_id}Absolute URL: https://ocpi-api.gridos.co/ocpi/emsp/2.1.1/tariffs/{country_code}/{party_id}/{tariff_id}
Remove a Tariff object which is no longer valid.
Requires authentication. Use Authorization: Token <token>. See OCPI credentials.
How to call
Quick Shell sample (set OCPI_TOKEN when auth is required). Full Python and TypeScript under Examples.
curl -sS -X DELETE 'https://ocpi-api.gridos.co/ocpi/emsp/2.1.1/tariffs/NL/ABC/TARIFF1' \
-H "Authorization: Token $OCPI_TOKEN"Request
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
country_code | string | Yes | ISO-3166 alpha-2 country code of the party performing this request. |
party_id | string | Yes | 3-char party ID of the CPO or eMSP (ISO-15118). |
tariff_id | string | Yes | Tariff.id of the Tariff object. |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Successful Response | TariffResponse |
401 | Unauthorized | — |
404 | Not Found | — |
422 | Validation Error | HTTPValidationError |
200 — successful response
application/json
Schema: TariffResponse
| Field | Type | Required | Description |
|---|---|---|---|
status_code | integer | No | Default: 1000 |
status_message | string | No | — |
timestamp | string (date-time) | No | — |
data | TariffOut | No | TariffOut |
Response example
{
"status_code": 1000,
"status_message": "Success",
"timestamp": "2015-06-29T22:39:09Z",
"data": {
"currency": "EUR",
"elements": [
{
"price_components": [
{
"price": 2,
"step_size": 300,
"type": "TIME"
}
]
}
],
"id": "12",
"last_updated": "2015-02-02T14:15:01Z"
}
}401 — unauthorized
application/json
Response example
{
"status_code": 2000,
"status_message": "Unauthorized",
"timestamp": "2025-01-01T00:00:00Z"
}404 — not found
application/json
Response example
{
"status_code": 2004,
"status_message": "Resource not found",
"timestamp": "2025-01-01T00:00:00Z"
}422 — validation error
application/json
Schema: HTTPValidationError
| Field | Type | Required | Description |
|---|---|---|---|
detail | ValidationError[] | No | Detail |
Response example
{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string",
"input": {
"_type": "Input"
},
"ctx": {
"_type": "Context"
}
}
]
}Examples
Shell, Python, and TypeScript (set OCPI_TOKEN when auth is required).
curl -sS -X DELETE 'https://ocpi-api.gridos.co/ocpi/emsp/2.1.1/tariffs/NL/ABC/TARIFF1' \
-H "Authorization: Token $OCPI_TOKEN"